(in-package #:cl-bible.api)

(defvar *server* (make-instance 'h:easy-acceptor :port 4242))

(defmethod start ((server h:easy-acceptor))
  (h:start server))

(h:define-easy-handler (get-reference :uri "/ref") (reference bible)
  (setf (h:content-type*) "text/plain")
  (setf (h:header-out :access-control-allow-origin) "*")
  (let ((bible (d::read-bible-from-tsv (or bible "mng"))))
    (j:to-json (v:to-sexp (s:find-verse bible (s:parse-position reference))))))
