;;;; cl-bible.lisp

(in-package #:cl-bible)

(defun start ()
  (initialize (lambda (body)
                (setf cl-bible.clog::body body)
                (c:on-new-window body)))
  (open-browser))

(defun main ()
  (start)
  (loop))

(defun build (&optional (name "bible"))
  #+sbcl (sb-ext:save-lisp-and-die name :executable t :toplevel #'main))
